Debian Bug report logs - #586067
lh build assumes gnupg in chroot, not true for minbase-flavoured ubuntu

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Wed, 16 Jun 2010 07:21:02 UTC

Severity: minor

Found in version live-helper/2.0~a14-1

Fixed in version live-helper/2.0~a15-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#586067; Package live-helper. (Wed, 16 Jun 2010 07:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 16 Jun 2010 07:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lh build assumes gnupg in chroot, not true for minbase-flavoured ubuntu
Date: Wed, 16 Jun 2010 17:20:02 +1000
Package: live-helper
Version: 2.0~a14-1
Severity: minor

With the following config/ tree:

    # egrep -v '^[[:space:]]*(#|$)' config/*
    config/binary:LH_BINARY_IMAGES=usb-hdd
    config/binary:LH_MEMTEST=false
    config/bootstrap:LH_BOOTSTRAP_FLAVOUR=minbase
    config/bootstrap:LH_DISTRIBUTION=lucid
    config/bootstrap:LH_MIRROR_BOOTSTRAP=http://mirror.internode.on.net/pub/ubuntu/ubuntu
    config/bootstrap:LH_MIRROR_CHROOT=$LH_MIRROR_BOOTSTRAP
    config/chroot:LH_HOOKS="stripped minimal"
    config/chroot:LH_PACKAGES="ubuntu-desktop"
    config/common:LH_APT_RECOMMENDS=false
    config/common:LH_INITRAMFS=live-initramfs
    config/common:LH_MODE=ubuntu

lh build aborts with the following error:

    # <typescript tail -20
    Get:8 http://security.ubuntu.com lucid-updates/main Packages [275kB]
    Get:9 http://security.ubuntu.com lucid-updates/restricted Packages [2980B]
    Fetched 400kB in 6s (64.1kB/s)
    Reading package lists... Done
    W: GPG error: http://mirror.internode.on.net lucid Release: Could not execute '/usr/bin/gpgv' to verify signature (is gpgv installed?)
    W: GPG error: http://security.ubuntu.com lucid-security Release: Could not execute '/usr/bin/gpgv' to verify signature (is gpgv installed?)
    W: GPG error: http://security.ubuntu.com lucid-updates Release: Could not execute '/usr/bin/gpgv' to verify signature (is gpgv installed?)
    Reading package lists... Done
    Building dependency tree... Done
    The following packages will be upgraded:
      apt libc-bin libc6 libglib2.0-0 mountall tzdata
    6 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 8735kB of archives.
    After this operation, 24.6kB of additional disk space will be used.
    WARNING: The following packages cannot be authenticated!
      libc-bin libc6 tzdata apt libglib2.0-0 mountall
    E: There are problems and -y was used without --force-yes
    P: Begin unmounting filesystems...

    Script done on Wed 16 Jun 2010 16:25:12 EST

This is because /usr/share/deboostrap/scripts/sid & gutsy only pull in
apt and its (hard) dependencies in the minbase flavour, and on Ubuntu
apt's relation to gnupg is a (soft) recommendation (via keyring):

    $ curl -s http://ftp.debian.org/debian/dists/unstable/main/binary-amd64/Packages.bz2 |
      bunzip2 -c | grep-dctrl -s Version,Depends,Recommends -XP apt
    Version: 0.7.25.3
    Depends: libc6 (>= 2.3.4), libgcc1 (>= 1:4.1.1), libstdc++6 (>= 4.4.0), debian-archive-keyring

    $ curl -s http://archive.ubuntu.com/ubuntu/dists/lucid/main/binary-amd64/Packages.bz2 |
      bunzip2 -c | grep-dctrl -s Version,Depends,Recommends -XP apt
    Version: 0.7.25.3ubuntu7
    Depends: libc6 (>= 2.8), libgcc1 (>= 1:4.1.1), libstdc++6 (>= 4.4.0)
    Recommends: ubuntu-keyring

There are a few ways to address this:

 0. l-h maintainers WONTFIX this ticket and tell me to use different
    config/* options.

 1. l-h is extended to ensure deboostrap always installs the keyring
    and gnupg.

 2. debootstrap is extended to ensure keyring and gnupg are always
    installed for ALL users, not just l-h.

My preference is for (1), or for (0) combined with improved error
reporting and/or troubleshooting documentation.

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-rc2 (SMP w/2 CPU cores)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.23     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18-1     GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3+b1 Linux fdisk replacement based on l

Versions of packages live-helper suggests:
pn  dosfstools                    <none>     (no description available)
ii  fakeroot                      1.14.4-1   Gives a fake root environment
pn  genisoimage                   <none>     (no description available)
pn  memtest86+ | memtest86        <none>     (no description available)
pn  mtools                        <none>     (no description available)
ii  parted                        2.2-5      The GNU Parted disk partition resi
pn  squashfs-tools | genext2fs |  <none>     (no description available)
ii  sudo                          1.7.2p6-1  Provide limited super user privile
pn  syslinux | grub               <none>     (no description available)
pn  uuid-runtime                  <none>     (no description available)
pn  win32-loader                  <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#586067; Package live-helper. (Wed, 16 Jun 2010 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 16 Jun 2010 13:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 586067@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 586067-submitter@bugs.debian.org
Cc: 586067@bugs.debian.org
Subject: Re: lh build assumes gnupg in chroot, not true for minbase-flavoured
Date: Wed, 16 Jun 2010 15:21:06 +0200
retitle assumes gnupg in chroot, not true for ubuntu
tag 586067 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 16 Jun 2010 13:24:05 GMT) Full text and rfc822 format available.

Message sent on to "Trent W. Buck" <trentbuck@gmail.com>:
Bug#586067. (Wed, 16 Jun 2010 13:24:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 18 Jun 2010 11:45:09 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Fri, 18 Jun 2010 11:45:09 GMT) Full text and rfc822 format available.

Message #20 received at 586067-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 586067-close@bugs.debian.org
Subject: Bug#586067: fixed in live-helper 2.0~a15-1
Date: Fri, 18 Jun 2010 11:40:28 +0000
Source: live-helper
Source-Version: 2.0~a15-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a15-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a15-1.diff.gz
live-helper_2.0~a15-1.dsc
  to main/l/live-helper/live-helper_2.0~a15-1.dsc
live-helper_2.0~a15-1_all.deb
  to main/l/live-helper/live-helper_2.0~a15-1_all.deb
live-helper_2.0~a15.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a15.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586067@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 Jun 2010 04:01:29 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a15-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 586067
Changes: 
 live-helper (2.0~a15-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Running checkbashisms with -f and -x in Makefile.
   * Updating update-version script.
   * Directly depend on keyboard-configuration (rather than through
     console-setup) for squeeze in standard packages list.
   * Adding gnupg in minmal list for ubuntu (Closes: #586067).
 .
   [ Richard Nelson ]
   * Whitespace removal
 .
   [ Daniel Baumann ]
   * Temporarily removing grub2 from d-i packages again, needs some fixes
     first.
Checksums-Sha1: 
 88eafb88f7bbcaef93e69332e09e4cf3e32f3f98 1257 live-helper_2.0~a15-1.dsc
 d977024226f7f783a1458edcbc53c20f04441653 2495988 live-helper_2.0~a15.orig.tar.gz
 f168f8966eee67a9825e5edda9062682d40aa3b8 31562 live-helper_2.0~a15-1.diff.gz
 f90708b358f0570030bbfe58000a719496a14db8 1170168 live-helper_2.0~a15-1_all.deb
Checksums-Sha256: 
 4e8b6eace8ab982fdf1098dc5baad46afa3b2875c4577485c51e21cb7ab87c7a 1257 live-helper_2.0~a15-1.dsc
 f06e3512f9643a73dba0d07eda6e7ff447b4fc931e136d53948623be4873dd4b 2495988 live-helper_2.0~a15.orig.tar.gz
 a74350f8728fd70c93a9b44ad05679f569ada360a84484e1feff5128d25b908b 31562 live-helper_2.0~a15-1.diff.gz
 5de73e241ae0df247eb16ff8ebaf60208de339356ff1e9ce42b96f259d5b3d8e 1170168 live-helper_2.0~a15-1_all.deb
Files: 
 66a32c686adc2ae09644eabbcf350dfd 1257 misc optional live-helper_2.0~a15-1.dsc
 66c88c3b94cf1c02c3f909a41cfa8b75 2495988 misc optional live-helper_2.0~a15.orig.tar.gz
 4fc5f7056d676ecab15224ffb2110c64 31562 misc optional live-helper_2.0~a15-1.diff.gz
 d24445e40653002955e69fac711ab264 1170168 misc optional live-helper_2.0~a15-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwbQI0ACgkQ+C5cwEsrK54GIwCgneNpdWHr4wEhaAH3erlco2iG
bmoAoIPIfa64+6getJkBimJyDgSCF9gv
=DVBz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Aug 2010 07:35:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:18:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.